<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'speakers',

    /*
     * Package.
     */
    'package'   => 'speakers',

    /*
     * Modules.
     */
    'modules'   => ['person'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'person'       => [
        'model'                 => 'Speakers\Speakers\Models\Person',
        'table'                 => 'people',
        'presenter'             => \Speakers\Speakers\Repositories\Presenter\PersonItemPresenter::class,
        'hidden'                => [],
        'visible'               => [],
        'guarded'               => ['*'],
        'slugs'                 => ['slug' => 'name'],
        'dates'                 => ['deleted_at'],
        'appends'               => [],
        'fillable'              => ['user_id', 'ID',  'LastName',  'FirstName',  'Age'],
        'translatables'         => ['ID',  'LastName',  'FirstName',  'Age'],
        'upload_folder'         => 'speakers/person',
        'uploads'               => [],
        'casts'                 => [],
        'revision'              => [],
        'perPage'               => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],

    ],
];
